## conky 1.8.0

=== debian/changelog ===
conky (1.8.0-1+squeeze1) stable; urgency=low

  * Patch TEMP-0612033-026F3E: security issue in Conky's "eve" module, which
    causes Conky to be vulnerable to rewriting any user file.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 27 Jul 2011 18:21:50 -0700

conky (1.8.0-1) unstable; urgency=low

  * New upstream release:
    - add AF_UNIX socket support
    - fix sigsegv if config file is deleted (LP: #525926)
    - the following debian bugs are closed by this upload:
      + change automake1.10 to automake1.11 (Closes: #550929)
      + hwmon made compatible with kernels >= 2.6.31 (Closes: #556926)
      + text_buffer_size change is well documented (Closes: #519401)
      + fix diskio for not existing devices (Closes: #536557)
      + fix wrong mixer values on some systems (Closes: #540282)
      + fix minor memory leak (Closes: #566524)
      + fix some documentation error re. graphs (Closes: #564518)
      + add -p/--pause startup option (Closes: #513440)
      + fix documentation about mixer values (Closes: #538760)
  * This release is based on the Ubuntu package with the following changes
    necessary for Debian (Closes: #536320):
    - change control and rules to build correctly on non-Linux arches
      (Closes: #536326)
    - updated NEWS, descriptions in control and changelog
    - change archive area to contrib
  * Change priority of metapackage to extra
  * My utmost thanks go to Kapil Hari Paranjape for his packaging work and to
    Luca Falavigna for being so kind to review and sponsor this release

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 28 Mar 2010 21:19:51 +0200

conky (1.8.0~git925e80ac-0ubuntu1) lucid; urgency=low

  * GIT snapshot release:
    - add argb (true transparency) support
    - add support for max_text_width
    - add IPv6 support to $tcp_portmon and mpd connections
    - add support for $pid variables ($pid_read, $pid_write, $pid_threads,
       $pid_thread_list, $pid_nice, $pid_priority, $pid_time_usermode,
       $pid_time_kernelmode, $pid_time, $pid_parent, $pid_uid, $pid_euid,
       $pid_suid, $pid_fsuid, $pid_gid, $pid_egid, $pid_sgid, $pid_fsgid,
       $pid_vmpeak, $pid_vmsize, $pid_vmlck, $pid_vmhwm, $pid_vmrss,
       $pid_vmdata, $pid_vmstk, $pid_vmexe, $pid_vmlib, $pid_vmpte,
       $pid_state, $pid_state_short, $pid_environ_list, $pid_exe,
       $pid_openfiles, $pid_stdin, $pid_stdout, $pid_stderr, $pid_chroot,
       $pid_cmdline, $pid_cwd and $pid_environ)
    - add support for $format_time
    - add support for $uid_name and $gid_name
    - add support for $running_threads
    - add support for $cmdline_to_pid
    - add support for $user_time
    - drop adt746x objects
    - add support for $weather_forecast (using xoap)
    - add support for out_to_ncurses
    - add support for $include
    - add icon data_type for xoap weather
    - add the -p/--pause command line option
    - add middle_middle as an alignment option
    - add hddtemp_host and hddtemp_port as config options
    - add lua_startup_hook and lua_shutdown_hook
    - add times_in_seconds and update_interval_on_battery config options
    - add the conky_set_update_interval, cairo_text_extents_t:create(),
      cairo_font_extents_t:create() and cairo_matrix_t:create() lua functions
    - add the conky_info lua table
    - add the disable_auto_reload config option
    - add an optional adapter option to $acpiacadapter (defaults to "AC")
    - a whole plethora of bug fixes
  * Add libncurses5-dev as a Build-Depends.
    ncurses is enabled only for the conky-cli package.
  * Do not add the --enable-debug flag to configure.
  * Remove all patches, now applied upstream.
  * Update package descriptions, NEWS and README.source accordingly.
  * No change bump of Standards-Version

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 17 Feb 2010 13:01:26 +0100

conky (1.7.2-0ubuntu6) lucid; urgency=low

  * Change arch to all for transitional package
  * Change source package format to 3.0 (quilt)
  * Reformat all patch headears iaw DEP-3
  * Move deletion of config.{guess, sub} to clean target to avoid FTBFS
    if built twice in a row
  * debian/patches/add_thread_fix_proc.patch:
    add support for $threads and fix $processes on Linux
    commit aad43bea8d3840babb502d939be324ba49c3b74e
  * debian/patches/fix_segfault_leaks_curl.patch:
    fix segfault and memleaks in curl
    commit e292dd5e280aa9c288bc6c2e1143270f5f5a08f4
  * debian/patches/add_current_user.patch (LP: #405707):
    add $user_time: if no argument is given, lists the
    login time for the tty connected to conky's standard input (if any).
    Given a console as an argument it gives the login time for that.
  * debian/patches/fix_mpd_when_stop.patch:
    fix $if_mpd_playing and $mpd_percent when you stop playing a song
    commit 827be3bde828fcf8d7be949168ac4909f6c323a2
    Thanks Sakari Matikka
  * debian/patches/fix_idle_rate_when_not_averaging.patch (LP: #493131):
    fix idle rate equal to 1 instead of 0 when using net_avg_samples=1
    commit b1cbc64f6075e0145edfb919df3e21a210f5328e
  * debian/patches/fix_manpage_width.patch:
    fix man warning: table wider than line width
    commit a14cca6592ec506b1a535be43912b4a72b40f11f
  * debian/patches/add_startup_pause_option.patch:
    add the -p/--pause command line option
    commit 584d05d2ad66edf1f53372382826a2416b50d9da
  * debian/patches/add_extended_cairo_structures.patch
    add creation functions for the cairo_font_extents_t,
    cairo_text_extents_t and cairo_matrix_t structures
    commit 8bd41caa51e080fd3ef28c7cdeee775872cdc1f4
  * debian/patches/fix_manpage_typos.patch
    fix typos in manpage
    commit c8a99a865adbd862bf74c0ca310fda796601fb5f

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 27 Dec 2009 23:22:54 +0100

conky (1.7.2-0ubuntu5) karmic; urgency=low

  * Bug-fix only release (LP: #457022):
    - add Replaces on conky to conky-all to avoid misconfiguration
      during dist-upgrades.


