=== debian/control ===
Source: conky
Section: contrib/utils
Priority: optional
Maintainer: Cesare Tirabassi <norsetto@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), libtool, automake1.11,
	       pkg-config (>= 0.19), libx11-dev, libxft-dev,
	       libxdamage-dev, libxext-dev, libglib2.0-dev,	       
	       libxml2-dev, libcurl4-gnutls-dev, liblua5.1-0-dev,	       
	       libimlib2-dev, libtolua++5.1-dev, libcairo2-dev,
	       libiw-dev[!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	       libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
	       libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
	       libdevstat-dev [kfreebsd-i386 kfreebsd-amd64],
	       nvidia-settings [i386 amd64], libncurses5-dev
Homepage: http://conky.sourceforge.net/
Standards-Version: 3.8.4
Vcs-Browser: https://code.launchpad.net/~norsetto/+junk/conky
Vcs-Bzr: lp:~norsetto/+junk/conky

Package: conky
Architecture: all
Priority: extra
Depends: conky-all, ${misc:Depends}
Description: highly configurable system monitor (transitional package)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support). 
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.

Package: conky-std
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apcupsd, moc, mpd
Conflicts: conky-cli, conky-all
Replaces: conky-cli, conky-all
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support). 
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ALSA mixer, apcupsd, I/O stats, argb and Lua.

Package: conky-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apcupsd, moc, mpd
Conflicts: conky-std, conky-all
Replaces: conky-std, conky-all
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support). 
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-all
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apcupsd, moc, mpd
Conflicts: conky-std, conky-cli
Replaces: conky, conky-std, conky-cli
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support). 
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, OpenMP, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings.
 .
 Use this if you are not sure what conky flavour you need.
