=== debian/watch ===
version=3
http://sf.net/conky/conky-([\d\.]+)\.tar\.bz2 debian uupdate
