## conky 1.8.1

=== debian/changelog ===
conky (1.8.1-6) unstable; urgency=low

  * debian/patches:
    - Add fix-apcupsd.patch: fix apcupsd support. (LP: #897495)
    - Add fix-update-interval.patch: use monotonic time when calculating the
      update interval. (Closes: #474372, #473993)
  * Fix various formatting issues in debian/copyright.
  * Change transitional "conky" package's dependencies to
    conky-std | conky-cli | conky-all.
  * Add doc-base file for conky-cli and conky-std.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Dec 2011 16:52:23 -0800

conky (1.8.1-5) unstable; urgency=low

  * Move conky-all into a separate source package, and remove all contrib
    components from build-depends. (Closes: #579102, #639778)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Sep 2011 21:43:36 -0700

conky (1.8.1-4) unstable; urgency=low

  * Install conky_no_x11.conf instead of the regular conky.conf config file
    for use with conky-cli. (Closes: #639314)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 27 Aug 2011 13:48:05 -0700

conky (1.8.1-3) unstable; urgency=low

  * Enable xmms2 and audacious support in conky-all and conky-std;
    thanks to Aron Xu for the patch. (Closes: #579893; LP: #647643)
  * Enable support for RSS, weather (both METAR and XOAP), imlib2, and all
    Lua bindings in conky-std.
  * Add debian/patches/fix-xmms2-ftbfs.patch to build Conky with XMMS2 support
    without FTBFS.
  * Use -O3 by default.
  * Update debian/NEWS and debian/README.source to reflect the changes to
    Conky packaging in Debian.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 10 Aug 2011 21:23:19 -0700

conky (1.8.1-2) unstable; urgency=low

  * Add build dependency on libxnvctrl-dev | nvidia-settings to keep Conky
    in sync with Ubuntu.
  * Add debian/patches/fix-curl-ftbfs.patch to fix FTBFS with curl 7.21.7.
    (Closes: #636367)
  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 05 Aug 2011 14:58:00 -0700

conky (1.8.1-1) unstable; urgency=low

  * Adopt package. (Closes: #632655)
  * Acknowledge NMU patch for #612033, which fixes a known vulnerability in
    Conky. Thanks to Luca Falavigna! (LP: #607309)
  * New upstream release. (Closes: #604921)
    - Fix bug in $if_existing. (Closes: #612904)
    - Fix various memory leaks. (Closes: #628527)
    - Fix battery_bar not parsing arguments correctly. (LP: #569195)
  * Fix ncurses being enabled for all binary packages (upstream default).
  * Rename "70b6f35a.patch" to "fix-race-condition.patch", and add a full
    DEP-3 formatted header.
  * Add debian/patches/fix-acpitemp.patch to let $acpitemp use /sys instead
    of /proc. (Closes: #609745, #628519; LP: #810667)
  * Change section of source package from "contrib/utils" to "utils".
    (Closes: #579102)
    - Change section of binary package conky-all to "contrib/utils".
    - Remove build-dependency on nvidia-settings; add build-dependency on
      libxnvctrl-dev instead to conky-all, due to the move of the
      NVCtrl/NVCtrl.h header file to libxnvctrl-dev.
    - Update debian/NEWS and debian/README.source to reflect the changes to
      Conky packaging in Debian.
  * Change dependency of transitional conky package to
    "conky-all | conky-std".
  * debian/copyright: Remove reference to deprecated BSD license file
    (/usr/share/common-licenses/BSD).
  * Change Vcs-* entries in debian/control to point to collab-maint.
  * Update Standards version from 3.8.4 to 3.9.2, no changes required.
  * Update debhelper compatiblity level from 5 to 8.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 15 Jul 2011 10:41:54 -0700

conky (1.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/70b6f35a.patch:
    - Cherrypick a patch from upstream to avoid rewriting an arbitrary
      user file (Closes: #612033).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 03 Apr 2011 15:17:39 +0200
