## conky 1.9.0

=== debian/changelog ===
conky (1:1.9.0-6) stable; urgency=medium

  * Add epoch to be hiher than 1.10.
  * Rename packages to conky-legacy.
  * Add conflicts, replaces, provides for standard conky packages.
  * Drop -dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Jul 2017 11:28:43 -0700

conky (1.9.0-6) unstable; urgency=medium

  * Re-add explicit dependency on audacious-dev.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 09 Sep 2014 23:26:45 -0700

conky (1.9.0-5) unstable; urgency=medium

  * Merge src:conky-all into src:conky, including all binary packages built
    by the former, now that libxnvctrl/nvidia-settings has been moved to main
    (see #747837 for background).
    - Disable support for RSS, weather (both METAR and XOAP), imlib2, and all
      Lua bindings in conky-std. These features (which are not enabled by
      default upstream) are all enabled in conky-all instead, which has been
      moved to main. Also see debian/NEWS.
    - This makes conky-all installable again. (Closes: #754600)
  * Replace build-dep on audacious-dev with libaudclient-dev to fix FTBFS.
    (Closes: #753705, #759887)
  * Add debian/patches/fix_font_check.patch. (Closes: #746477)
  * Install vim syntax rules for conkyrc config files.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 30 Aug 2014 12:28:42 -0700

conky (1.9.0-4) unstable; urgency=medium

  * Declare Breaks+Replaces relationship against conky (<< 1.8.0-1, the
    version in Debian where the conky package was first split into multiple
    binary packages) to fix upgrade path from lenny -> squeeze -> wheezy.
    (Closes: #739245)
  * Add debian/patches/fix-uninitialized-inotify_fd-value.patch.
    (Closes: #720112)
  * Update email address.
  * Update Standards version from 3.9.4 to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Feb 2014 01:41:42 -0800

conky (1.9.0-3) unstable; urgency=low

  * Add debian/patches/fix-curl-related-crashes.patch to fix crash with
    multiple weather objects in conkyrc. (Closes: #623106; LP: #780741,
    LP: #1154741)
  * Add debug package for each conky flavour.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 08 May 2013 01:34:40 -0700

conky (1.9.0-2) unstable; urgency=low

  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 09 May 2012 19:27:20 -0700

conky (1.9.0-1) unstable; urgency=low

  * New upstream release.
    - Fix execi when interval is larger than system uptime.
      (Closes: #652336, #652536; LP: #996362)
  * Remove debian/patches/fix-{curl,kfreebsd,xmms2}-ftbfs.patch,
    fix-acpitemp.patch, and fix-update-interval.patch; applied upstream.
    - Refresh remaining patches.
    - Rename fix-race-condition.patch -> fix-CVE-2011-3616.patch; also
      include a more detailed description.
  * Change priority and section of transitional conky package to oldlibs/extra.
  * Add build-depends on autotools-dev.
  * Add build-depends on dpkg-dev (>= 1.15.7) due to use of dpkg-buildflags.
  * Add alternative build-depends: automake1.11 | automake (>= 1:1.11),
    libcurl4-gnutls-dev | libcurl4-dev.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Update debian/watch to look for both .gz and .bz2 tarballs.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.
  * Update debhelper compatibility level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 08 May 2012 15:41:00 -0700
