=== debian/control ===
Source: conky
Section: utils
Priority: optional
Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 audacious-dev,
 automake1.11 | automake (>= 1:1.11),
 autotools-dev,
 debhelper (>= 9),
 dpkg-dev (>= 1.15.7),
 libasound2-dev [linux-any],
 libaudclient-dev,
 libcairo2-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libdevstat-dev [kfreebsd-any],
 libglib2.0-dev,
 libimlib2-dev,
 libiw-dev [linux-any],
# Added only for the OBS build so it doesn't get confused with choice & give up
 libjpeg-dev,
 libkvm-dev [kfreebsd-any],
 liblua5.1-0-dev,
 libncurses5-dev,
 libtolua++5.1-dev,
 libtool,
 libx11-dev,
 libxdamage-dev,
 libxext-dev,
 libxft-dev,
 libxml2-dev,
 libxmmsclient-dev,
 libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
 pkg-config (>= 0.19)
Homepage: http://conky.sourceforge.net/
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk

Package: conky-legacy-std
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky, conky-std
Conflicts: conky-legacy-all, conky-legacy-cli, conky-std
Replaces: conky-legacy-all, conky-legacy-cli, conky-all, conky-cli, conky-std
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support). 
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.

Package: conky-legacy-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, moc, mpd
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-legacy-all, conky-legacy-std, conky-all, conky-std, conky-cli
Replaces: conky-legacy-all, conky-legacy-std, conky-all, conky-std, conky-cli
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-legacy-all
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-legacy-cli, conky-legacy-std, conky-legacy-cli, conky-std, conky-all
Replaces: conky-legacy-cli, conky-legacy-std, conky-legacy-cli, conky-std, conky-all, conky
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
 Audacious, and XMMS2.

Package: conky-legacy
Section: oldlibs
Priority: extra
Architecture: all
Depends: conky-legacy-std | conky-legacy-cli | conky-legacy-all, ${misc:Depends}
Description: highly configurable system monitor (transitional package)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.
